Index: src/sas/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/guiframe/local_perspectives/plotting/Plotter1D.py	(revision b99a4552f37a4044c9efa7ced7eda5ed5176dc85)
+++ src/sas/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 098f3d277d54e6ae4bae35ed0188be84b67fb171)
@@ -564,7 +564,4 @@
             self._slicerpop.Append(wx_id, '&Print Image', 'Print image ')
             wx.EVT_MENU(self, wx_id, self.onPrint)
-            wx_id = wx.NewId()
-            self._slicerpop.Append(wx_id, '&Print Preview', 'Print preview')
-            wx.EVT_MENU(self, wx_id, self.onPrinterPreview)
 
             wx_id = wx.NewId()
Index: src/sas/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sas/guiframe/local_perspectives/plotting/Plotter2D.py	(revision c039589ad31dec3058311cae229f7aa1dc56faf8)
+++ src/sas/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 098f3d277d54e6ae4bae35ed0188be84b67fb171)
@@ -300,8 +300,4 @@
 
         wx_id = wx.NewId()
-        slicerpop.Append(wx_id, '&Print Preview', 'Print preview')
-        wx.EVT_MENU(self, wx_id, self.onPrinterPreview)
-
-        wx_id = wx.NewId()
         slicerpop.Append(wx_id, '&Copy to Clipboard', 'Copy to the clipboard')
         wx.EVT_MENU(self, wx_id, self.OnCopyFigureMenu)
Index: src/sas/guiframe/local_perspectives/plotting/SimplePlot.py
===================================================================
--- src/sas/guiframe/local_perspectives/plotting/SimplePlot.py	(revision b40ad402cdc9c4a7e69f4ce5a13e29b50b8242fc)
+++ src/sas/guiframe/local_perspectives/plotting/SimplePlot.py	(revision 098f3d277d54e6ae4bae35ed0188be84b67fb171)
@@ -58,8 +58,4 @@
         slicerpop.Append(wx_id, '&Print Image', 'Print image')
         wx.EVT_MENU(self, wx_id, self.onPrint)
-
-        wx_id = wx.NewId()
-        slicerpop.Append(wx_id, '&Print Preview', 'Print preview')
-        wx.EVT_MENU(self, wx_id, self.onPrinterPreview)
 
         wx_id = wx.NewId()
@@ -234,10 +230,4 @@
         wx.EVT_MENU(self, id, self.on_print_image)
 
-        id = wx.NewId()
-        item = wx.MenuItem(menu, id, "&Print Preview")
-        item.SetBitmap(preview_bmp)
-        menu.AppendItem(item)
-        wx.EVT_MENU(self, id, self.on_print_preview)
-
         menu.AppendSeparator()
         id = wx.NewId()
Index: src/sas/guiframe/report_dialog.py
===================================================================
--- src/sas/guiframe/report_dialog.py	(revision e8bb5b62d717c7b44481a4b621030699e4efdaf4)
+++ src/sas/guiframe/report_dialog.py	(revision 098f3d277d54e6ae4bae35ed0188be84b67fb171)
@@ -66,10 +66,4 @@
         hbox.Add(button_close)
         button_close.SetFocus()
-
-        button_preview = wx.Button(self, wx.NewId(), "Preview")
-        button_preview.SetToolTipString("Print preview this report.")
-        button_preview.Bind(wx.EVT_BUTTON, self.onPreview,
-                            id=button_preview.GetId()) 
-        hbox.Add(button_preview)
 
         button_print = wx.Button(self, wx.NewId(), "Print")
Index: src/sas/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/perspectives/fitting/fitpage.py	(revision 60d08fdf658a962963f4abb6acf0d026a6087db6)
+++ src/sas/perspectives/fitting/fitpage.py	(revision 098f3d277d54e6ae4bae35ed0188be84b67fb171)
@@ -2236,11 +2236,7 @@
         """
         # compute weight for the current data
-        from sas.perspectives.fitting.utils import get_weight
         flag_weight = self.get_weight_flag()
         if is_2D == None:
             is_2D = self._is_2D()
-        weight = get_weight(data=self.data,
-                            is2d=is_2D,
-                            flag=flag_weight)
         self._manager.set_fit_weight(uid=self.uid,
                                      flag=flag_weight,
@@ -2260,6 +2256,4 @@
         self._update_paramv_on_fit()
 
-        # msg default
-        msg = None
         if event != None:
             tcrtl = event.GetEventObject()
@@ -2275,5 +2269,5 @@
         # if any value is changed
         if is_new_pinhole:
-            msg = self._set_pinhole_smear()
+            self._set_pinhole_smear()
         # hide all silt sizer
         self._hide_all_smear_info()
Index: src/sas/perspectives/fitting/fitting.py
===================================================================
--- src/sas/perspectives/fitting/fitting.py	(revision e1442d40052e07177f4d198144b9d9461da69d92)
+++ src/sas/perspectives/fitting/fitting.py	(revision 098f3d277d54e6ae4bae35ed0188be84b67fb171)
@@ -516,5 +516,5 @@
         selected_data_list = []
         if self.batch_on:
-            page = self.add_fit_page(data=data_list)
+            self.add_fit_page(data=data_list)
         else:
             if len(data_list) > MAX_NBR_DATA:
@@ -537,7 +537,7 @@
                         if group_id not in data.list_group_id:
                             data.list_group_id.append(group_id)
-                        page = self.add_fit_page(data=[data])
+                        self.add_fit_page(data=[data])
             except:
-                msg = "Fitting Set_data: " + str(sys.exc_value)
+                msg = "Fitting set_data: " + str(sys.exc_value)
                 wx.PostEvent(self.parent, StatusEvent(status=msg, info="error"))
 
@@ -670,4 +670,8 @@
         :param weight: current dy data
         """
+        # If we are not dealing with a specific fit problem, then
+        # there is no point setting the weights.
+        if fid is None:
+            return
         if uid in self.page_finder.keys():
             self.page_finder[uid].set_weight(flag=flag, is2d=is2d)
Index: src/sas/plottools/PlotPanel.py
===================================================================
--- src/sas/plottools/PlotPanel.py	(revision 1170492a6ae9898b8c1ee6716645dfea0394f8a5)
+++ src/sas/plottools/PlotPanel.py	(revision 098f3d277d54e6ae4bae35ed0188be84b67fb171)
@@ -635,19 +635,19 @@
         when clicking on linear Fit on context menu , display Fitting Dialog
         """
-        list = {}
+        plot_dict = {}
         menu = event.GetEventObject()
-        id = event.GetId()
-        self.set_selected_from_menu(menu, id)
+        event_id = event.GetId()
+        self.set_selected_from_menu(menu, event_id)
         plotlist = self.graph.returnPlottable()
         if self.graph.selected_plottable is not None:
             for item in plotlist:
                 if item.id == self.graph.selected_plottable:
-                    list[item] = plotlist[item]
+                    plot_dict[item] = plotlist[item]
         else:
-            list = plotlist
+            plot_dict = plotlist
         from fitDialog import LinearFit
 
-        if len(list.keys()) > 0:
-            first_item = list.keys()[0]
+        if len(plot_dict.keys()) > 0:
+            first_item = plot_dict.keys()[0]
             dlg = LinearFit(parent=None, plottable=first_item,
                             push_data=self.onFitDisplay,
@@ -871,58 +871,50 @@
         """
         # Slicer plot popup menu
-        id = wx.NewId()
+        wx_id = wx.NewId()
         slicerpop = wx.Menu()
-        slicerpop.Append(id, '&Save image', 'Save image as PNG')
-        wx.EVT_MENU(self, id, self.onSaveImage)
-
-        id = wx.NewId()
-        slicerpop.Append(id, '&Printer setup', 'Set image size')
-        wx.EVT_MENU(self, id, self.onPrinterSetup)
-
-        id = wx.NewId()
-        slicerpop.Append(id, '&Printer Preview', 'Set image size')
-        wx.EVT_MENU(self, id, self.onPrinterPreview)
-
-        id = wx.NewId()
-        slicerpop.Append(id, '&Print image', 'Print image ')
-        wx.EVT_MENU(self, id, self.onPrint)
-
-        id = wx.NewId()
-        slicerpop.Append(id, '&Copy', 'Copy to the clipboard')
-        wx.EVT_MENU(self, id, self.OnCopyFigureMenu)
-
-        #id = wx.NewId()
-        #slicerpop.Append(id, '&Load 1D data file')
-        #wx.EVT_MENU(self, id, self._onLoad1DData)
-
-        id = wx.NewId()
+        slicerpop.Append(wx_id, '&Save image', 'Save image as PNG')
+        wx.EVT_MENU(self, wx_id, self.onSaveImage)
+
+        wx_id = wx.NewId()
+        slicerpop.Append(wx_id, '&Printer setup', 'Set image size')
+        wx.EVT_MENU(self, wx_id, self.onPrinterSetup)
+
+        wx_id = wx.NewId()
+        slicerpop.Append(wx_id, '&Print image', 'Print image ')
+        wx.EVT_MENU(self, wx_id, self.onPrint)
+
+        wx_id = wx.NewId()
+        slicerpop.Append(wx_id, '&Copy', 'Copy to the clipboard')
+        wx.EVT_MENU(self, wx_id, self.OnCopyFigureMenu)
+
+        wx_id = wx.NewId()
         slicerpop.AppendSeparator()
-        slicerpop.Append(id, '&Properties')
-        wx.EVT_MENU(self, id, self._onProperties)
-
-        id = wx.NewId()
+        slicerpop.Append(wx_id, '&Properties')
+        wx.EVT_MENU(self, wx_id, self._onProperties)
+
+        wx_id = wx.NewId()
         slicerpop.AppendSeparator()
-        slicerpop.Append(id, '&Linear Fit')
-        wx.EVT_MENU(self, id, self.onFitting)
-
-        id = wx.NewId()
+        slicerpop.Append(wx_id, '&Linear Fit')
+        wx.EVT_MENU(self, wx_id, self.onFitting)
+
+        wx_id = wx.NewId()
         slicerpop.AppendSeparator()
-        slicerpop.Append(id, '&Toggle Legend On/Off', 'Toggle Legend On/Off')
-        wx.EVT_MENU(self, id, self.onLegend)
+        slicerpop.Append(wx_id, '&Toggle Legend On/Off', 'Toggle Legend On/Off')
+        wx.EVT_MENU(self, wx_id, self.onLegend)
 
         loc_menu = wx.Menu()
         for label in self._loc_labels:
-            id = wx.NewId()
-            loc_menu.Append(id, str(label), str(label))
-            wx.EVT_MENU(self, id, self.onChangeLegendLoc)
-        id = wx.NewId()
-        slicerpop.AppendMenu(id, '&Modify Legend Location', loc_menu)
-
-        id = wx.NewId()
-        slicerpop.Append(id, '&Modify Y Axis Label')
-        wx.EVT_MENU(self, id, self._on_yaxis_label)
-        id = wx.NewId()
-        slicerpop.Append(id, '&Modify X Axis Label')
-        wx.EVT_MENU(self, id, self._on_xaxis_label)
+            wx_id = wx.NewId()
+            loc_menu.Append(wx_id, str(label), str(label))
+            wx.EVT_MENU(self, wx_id, self.onChangeLegendLoc)
+        wx_id = wx.NewId()
+        slicerpop.AppendMenu(wx_id, '&Modify Legend Location', loc_menu)
+
+        wx_id = wx.NewId()
+        slicerpop.Append(wx_id, '&Modify Y Axis Label')
+        wx.EVT_MENU(self, wx_id, self._on_yaxis_label)
+        wx_id = wx.NewId()
+        slicerpop.Append(wx_id, '&Modify X Axis Label')
+        wx.EVT_MENU(self, wx_id, self._on_xaxis_label)
 
         try:
@@ -1923,8 +1915,5 @@
         self.xmax = xmax
         #In case need to change the range of data plotted
-        list = []
-        list = self.graph.returnPlottable()
-        for item in list:
-            #item.onFitRange(xminView,xmaxView)
+        for item in self.graph.returnPlottable():
             item.onFitRange(None, None)
         # Create new data plottable with result
@@ -1970,7 +1959,5 @@
         Reset the graph by plotting the full range of data
         """
-        list = []
-        list = self.graph.returnPlottable()
-        for item in list:
+        for item in self.graph.returnPlottable():
             item.onReset()
         self.graph.render(self)
